#!/usr/bin/env python

"""
This is a simple filter that reads a (first) header line on standard input,
prints it, and then prints all subsequent lines from standard input unless they
are repeats of the header line.

It is useful if you have thousands of identical TSV (or CSV, etc) output files
and they all have a header and you want to get rid of all headers except the
first.  Just 'cat' the files into this script.

This script can be used to post-process output files generated by multiple
invocations of a command by sbatch.py.
"""

import sys

header = next(sys.stdin)
print(header, end='')

for line in sys.stdin:
    if line != header:
        print(line, end='')
